Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1729315 - [abrt] gnome-software: multi_socket(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: multi_socket(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1697566
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1910a742c6ce0ccfad392fd497d...
: 1730358 1730924 1731303 1731560 1731741 1731976 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 22:28 UTC by Jan Vlug
Modified: 2019-07-22 13:09 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-22 01:48:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: cgroup (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: core_backtrace (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: cpuinfo (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: dso_list (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: environ (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: exploitable (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: limits (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: maps (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: mountinfo (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: open_fds (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details
File: proc_pid_status (deleted)
2019-07-11 22:28 UTC, Jan Vlug
no flags Details

Description Jan Vlug 2019-07-11 22:28:07 UTC
Version-Release number of selected component:
gnome-software-3.32.3-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: multi_socket
executable:     /usr/bin/gnome-software
journald_cursor: s=4b9ff9e290ed4822ba275a07166be876;i=72b7;b=0dfdf7655e4c40d5840b27bbd7fc6b9e;m=dfef86af1;t=58d3964e6484a;x=f2548a8aeb5bc4f3
kernel:         5.1.15-300.fc30.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 multi_socket at ../../lib/multi.c:2674
 #1 curl_multi_socket_action at ../../lib/multi.c:2852
 #2 event_cb at src/libostree/ostree-fetcher-curl.c:451
 #6 g_main_context_iteration at ../glib/gmain.c:3988
 #7 _ostree_fetcher_mirrored_request_to_membuf_once at src/libostree/ostree-fetcher-util.c:86
 #8 _ostree_fetcher_mirrored_request_to_membuf at src/libostree/ostree-fetcher-util.c:128
 #9 _ostree_preload_metadata_file at src/libostree/ostree-repo-pull.c:3106
 #10 repo_remote_fetch_summary at src/libostree/ostree-repo-pull.c:3277
 #11 ostree_repo_remote_fetch_summary_with_options at src/libostree/ostree-repo-pull.c:6130
 #12 ostree_repo_remote_fetch_summary at src/libostree/ostree-repo.c:2341

Comment 1 Jan Vlug 2019-07-11 22:28:12 UTC
Created attachment 1589687 [details]
File: backtrace

Comment 2 Jan Vlug 2019-07-11 22:28:14 UTC
Created attachment 1589688 [details]
File: cgroup

Comment 3 Jan Vlug 2019-07-11 22:28:16 UTC
Created attachment 1589689 [details]
File: core_backtrace

Comment 4 Jan Vlug 2019-07-11 22:28:17 UTC
Created attachment 1589690 [details]
File: cpuinfo

Comment 5 Jan Vlug 2019-07-11 22:28:19 UTC
Created attachment 1589691 [details]
File: dso_list

Comment 6 Jan Vlug 2019-07-11 22:28:20 UTC
Created attachment 1589692 [details]
File: environ

Comment 7 Jan Vlug 2019-07-11 22:28:21 UTC
Created attachment 1589693 [details]
File: exploitable

Comment 8 Jan Vlug 2019-07-11 22:28:23 UTC
Created attachment 1589694 [details]
File: limits

Comment 9 Jan Vlug 2019-07-11 22:28:27 UTC
Created attachment 1589695 [details]
File: maps

Comment 10 Jan Vlug 2019-07-11 22:28:28 UTC
Created attachment 1589696 [details]
File: mountinfo

Comment 11 Jan Vlug 2019-07-11 22:28:29 UTC
Created attachment 1589697 [details]
File: open_fds

Comment 12 Jan Vlug 2019-07-11 22:28:31 UTC
Created attachment 1589698 [details]
File: proc_pid_status

Comment 13 Mohamed Baig 2019-07-14 20:38:08 UTC
Similar problem has been detected:

flatpak crashing while updating

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: multi_socket
executable:     /usr/bin/gnome-software
journald_cursor: s=3e7bb4675ea642ae8adcb0d6e4e88728;i=41a7e;b=5dc9f40eb6f441179a4755935bfc3752;m=32e26dfc8;t=58da9cbccb308;x=f5ff5fde81506f87
kernel:         5.1.16-300.fc30.x86_64
package:        gnome-software-3.32.4-1.fc30
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 kxra 2019-07-16 14:08:01 UTC
*** Bug 1730358 has been marked as a duplicate of this bug. ***

Comment 15 Matt W 2019-07-17 15:42:08 UTC
Similar problem has been detected:

I don't know. I had not even opened any gnome-software window. It apparently failed while doing background stuff.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: multi_socket
executable:     /usr/bin/gnome-software
journald_cursor: s=b340984fac994439a166e9c4f9a90bde;i=ecba;b=5e5bf66ecb104a719917404e22fe29c3;m=3da0f583e;t=58ddf9ca254c8;x=7cae6d0c89fd1b05
kernel:         5.1.17-300.fc30.x86_64
package:        gnome-software-3.32.4-1.fc30
reason:         gnome-software killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Matt W 2019-07-17 21:55:57 UTC
*** Bug 1730924 has been marked as a duplicate of this bug. ***

Comment 17 Carlos Manuel de Jesus Puentes Valdes 2019-07-19 01:59:00 UTC
*** Bug 1731303 has been marked as a duplicate of this bug. ***

Comment 18 sarfarazghlm 2019-07-19 19:02:27 UTC
*** Bug 1731560 has been marked as a duplicate of this bug. ***

Comment 19 Marcus Costa 2019-07-21 14:45:29 UTC
*** Bug 1731741 has been marked as a duplicate of this bug. ***

Comment 20 Michael Catanzaro 2019-07-22 01:48:22 UTC

*** This bug has been marked as a duplicate of bug 1697566 ***

Comment 21 aaron.kirschenfeld 2019-07-22 13:09:54 UTC
*** Bug 1731976 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.